Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Interface EwayConfiguration

All Superinterfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public interface EwayConfiguration

extends com.stc.connector.persistence.bpel.PersistableData

Definition of an OTD presentation of eWay configuration data.

Version:
  $Revision: 1.2 $

Method Summary
`long` | `getMaximumMessageSize()` Returns the maximum message size specified in the eWay configuration.
`java.lang.String` | `getQueueName()` Returns the queue name specified in the eWay configuration.
`long` | `getScheduleInterval()` Returns the schedule interval (in millisecond units) specified in the eWay configuration.
`java.lang.String` | `getSecurityExitName()` Returns the security exit specified in the eWay configuration.
`java.lang.String` | `getSecurityExitPath()` Returns the security exit classpath specified in the eWay configuration.

Methods inherited from interface com.stc.connector.persistence.bpel.PersistableData
`persist, restore`

Method Detail

### getQueueName

    java.lang.String getQueueName()

  Returns the queue name specified in the eWay configuration.

  Parameters:
    None.

  Returns:
    `String` - Returns the queue name or blank (never null).
  Throws:
    None.

### getScheduleInterval

    long getScheduleInterval()

  Returns the schedule interval (in millisecond units) specified in the eWay configuration. Since a WebSphere MQ eWay, operating in outbound mode, does not use a schedule interval, querying this property for an outbound MQ eWay has undefined results.

  Parameters:
    None.

  Returns:
    `long` - Returns the schedule interval value.
  Throws:
    None.

### getSecurityExitName

    java.lang.String getSecurityExitName()

  Returns the security exit specified in the eWay configuration.

  Parameters:
    None.

  Returns:
    `String` - Returns the security exit or blank (never null).
  Throws:
    None.

### getSecurityExitPath

    java.lang.String getSecurityExitPath()

  Returns the security exit classpath specified in the eWay configuration.

  Parameters:
    None.

  Returns:
    `String` - Returns the security exit path or blank (never null).
  Throws:
    None.

### getMaximumMessageSize

    long getMaximumMessageSize()

  Returns the maximum message size specified in the eWay configuration.

  Parameters:
    None.

  Returns:
    `long` - Returns the maximum message size.
  Throws:
    None.

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.